#!/bin/sh

vgname="$1"

owner="${vgname#opc-vg.}"
if [ x"$owner" != x"$vgname" ]; then
    group="${owner#g.}"
    if [ x"$group" != x"$owner" ]; then
        group="${group%%.*}"
        if getent group "$group" >/dev/null 2>&1; then
            echo "CCLUB_OPC_GROUP=$group"
        fi
    else
        owner="${owner%%.*}"
        if getent passwd "$owner" >/dev/null 2>&1; then
            echo "CCLUB_OPC_USER=$owner"
        fi
    fi
fi
